Get budgets
Response200
objectstringbudgetsancestorsAncestorBudget[]6 fields
objectstringbudgetdailyBudgetPeriodOut3 fields
amount_microsinteger or nullresets_atstringspent_microsinteger
modestringOne ofsofthardmonthlyBudgetPeriodOut3 fields
amount_microsinteger or nullresets_atstringspent_microsinteger
ownerstringscopestringancestor
organizationOrgBudget12 fields
objectstringbudgetdailyBudgetPeriodOut3 fields
amount_microsinteger or nullresets_atstringspent_microsinteger
editablebooleanmin_allowed_microsmap<string, integer>modestringOne ofsofthardmonthlyBudgetPeriodOut3 fields
amount_microsinteger or nullresets_atstringspent_microsinteger
notify_atinteger[]ownerstringscopestringorganizationset_bystring or nullupdated_atstring or nullupdated_byActorRef or nullWho created or last changed something, resolved to a name for display.
system,workload(an automation) andend_user(a widget visitor) have no ID or name: the console words them.nameis null for someone the directory no longer knows.idis what the lists'created_by/updated_byfilters take.avatar_versionis set for a person with a photo: it is atGET /v1/members/{id}/avatar?v=<avatar_version>while they are a member.5 fields
idstring or nullkindstringOne ofuserapi_keyservice_accountworkloadend_usersystemnamestring or nullavatar_versionstring or nullemailstring or null
platform_keysPlatformQuota or null5 fields
objectstringbudgetamount_microsintegerresets_atstringscopestringplatform_keysspent_microsinteger
workspacesWorkspaceBudget[]13 fields
objectstringbudgetdailyBudgetPeriodOut3 fields
amount_microsinteger or nullresets_atstringspent_microsinteger
modestringOne ofsofthardmonthlyBudgetPeriodOut3 fields
amount_microsinteger or nullresets_atstringspent_microsinteger
notify_atinteger[]row_versionintegerscopestringworkspaceworkspace_idstringworkspace_namestringcreated_atstring or nullcreated_byActorRef or nullWho created or last changed something, resolved to a name for display.
system,workload(an automation) andend_user(a widget visitor) have no ID or name: the console words them.nameis null for someone the directory no longer knows.idis what the lists'created_by/updated_byfilters take.avatar_versionis set for a person with a photo: it is atGET /v1/members/{id}/avatar?v=<avatar_version>while they are a member.5 fields
idstring or nullkindstringOne ofuserapi_keyservice_accountworkloadend_usersystemnamestring or nullavatar_versionstring or nullemailstring or null
updated_atstring or nullupdated_byActorRef or nullWho created or last changed something, resolved to a name for display.
system,workload(an automation) andend_user(a widget visitor) have no ID or name: the console words them.nameis null for someone the directory no longer knows.idis what the lists'created_by/updated_byfilters take.avatar_versionis set for a person with a photo: it is atGET /v1/members/{id}/avatar?v=<avatar_version>while they are a member.5 fields
idstring or nullkindstringOne ofuserapi_keyservice_accountworkloadend_usersystemnamestring or nullavatar_versionstring or nullemailstring or null
Status codes
- 200Successful Response
- 4XXThe request was refused: the problem says why.
- 5XXThe API could not answer: the problem says why.
curl "https://api.mydeepagents.com/v1/budgets" \
-H "Authorization: Bearer $MDA_API_KEY"{
"object": "budgets",
"ancestors": [
{
"object": "budget",
"daily": {
"amount_micros": 1250000,
"resets_at": "2026-11-10T09:30:00.000Z",
"spent_micros": 1250000
},
"mode": "soft",
"monthly": {
"amount_micros": 1250000,
"resets_at": "2026-11-10T09:30:00.000Z",
"spent_micros": 1250000
},
"owner": "owner",
"scope": "ancestor"
}
],
"organization": {
"object": "budget",
"daily": {
"amount_micros": 1250000,
"resets_at": "2026-11-10T09:30:00.000Z",
"spent_micros": 1250000
},
"editable": true,
"min_allowed_micros": {
"key": 2
},
"mode": "soft",
"monthly": {
"amount_micros": 1250000,
"resets_at": "2026-11-10T09:30:00.000Z",
"spent_micros": 1250000
},
"notify_at": [
2
],
"owner": "owner",
"scope": "organization",
"set_by": "usr_01jcf1j9wjxfrnhqda3mq7ejxn",
"updated_at": "2026-11-10T09:30:00.000Z",
"updated_by": {
"kind": "user",
"id": "usr_01jcf1j9wjxfrnhqda3mq7ejxn",
"name": "Ada Lovelace",
"email": "ada@example.com"
}
},
"platform_keys": {
"object": "budget",
"amount_micros": 1250000,
"resets_at": "2026-11-10T09:30:00.000Z",
"scope": "platform_keys",
"spent_micros": 1250000
},
"workspaces": [
{
"object": "budget",
"created_at": "2026-11-10T09:30:00.000Z",
"created_by": {
"kind": "user",
"id": "usr_01jcf1j9wjxfrnhqda3mq7ejxn",
"name": "Ada Lovelace",
"email": "ada@example.com"
},
"daily": {
"amount_micros": 1250000,
"resets_at": "2026-11-10T09:30:00.000Z",
"spent_micros": 1250000
},
"mode": "soft",
"monthly": {
"amount_micros": 1250000,
"resets_at": "2026-11-10T09:30:00.000Z",
"spent_micros": 1250000
},
"notify_at": [
2
],
"row_version": 4,
"scope": "workspace",
"updated_at": "2026-11-10T09:30:00.000Z",
"updated_by": {
"kind": "user",
"id": "usr_01jcf1j9wjxfrnhqda3mq7ejxn",
"name": "Ada Lovelace",
"email": "ada@example.com"
},
"workspace_id": "ws_01jccj30nr8ad7mx1yc5v9zx3h",
"workspace_name": "workspace name"
}
]
}